Message "does not seem to be a valid ISO9660 image" on Intrepid

Bug #271677 reported by Krzysztof Lichota on 2008-09-18
120
This bug affects 23 people
Affects Status Importance Assigned to Milestone
Ubuntu Customization Kit
Undecided
Fabrizio Balliano
uck (Ubuntu)
Medium
Alessio Treglia
Nominated for Karmic by Felix Zweig

Bug Description

when trying to select iso file on Intrepid development release i get does not seem to be a valid ISO9660 image on both hardy-dvd 64bit,intrepid alpha5 cd and dvd 64bit and intrepid 64bit daily build dvd

tried both stable version of uck and svn version.

Related branches

Changed in uck:
assignee: nobody → krzysiek-launchpad-ubuntu-com

I have committed a fix for this bug. Please checkout latest version using:
svn export https://uck.svn.sourceforge.net/svnroot/uck/trunk/uck

And check if the problem still exists.

Changed in uck:
status: New → Fix Committed
Malvin (malvin) wrote :

seems like the problem still exists. i just did a svn export and freshly downloaded the kubuntu iso image:

File /home/------/Desktop/kubuntu-8.04.1-desktop-i386.iso does not seem to be a valid ISO9660 image

:-(

2008/9/20 Malvin <email address hidden>

> seems like the problem still exists. i just did a svn export and freshly
> downloaded the kubuntu iso image:
>
> File /home/------/Desktop/kubuntu-8.04.1-desktop-i386.iso does not seem
> to be a valid ISO9660 image
>
> :-(
>
> --
> Message "does not seem to be a valid ISO9660 image" on Intrepid
> https://bugs.launchpad.net/bugs/271677
> You received this bug notification because you are a direct subscriber
> of the bug.
>

the hardy cd image worked,but not the intrepid dvd image.. on the intrepid
it gave the same error..

but the hardy cd image worked so far as unpacking the iso and staring
terminal and packemanager but dident get to finish it as i got some problems
and neaded a rebot:/ but i shall try to download a new intrepid image and
cuntiniu the procec of testing the hardy image and se if the the repacking
procec also works or not..

2008/9/20 Malvin <email address hidden>:
> seems like the problem still exists. i just did a svn export and freshly
> downloaded the kubuntu iso image:
>
> File /home/------/Desktop/kubuntu-8.04.1-desktop-i386.iso does not seem
> to be a valid ISO9660 image

Please post output of command:
file --brief --mime file.iso

Malvin (malvin) wrote :

--
illuminatus@thinkbox:~$ file --brief --mime /media/data/cdz/linux/kubuntu-8.04.1-desktop-i386.iso
/etc/magic.mime, 2910: Warning description `Clarion Personal/Professional Developer (v2 and above) data fil' truncated
/etc/magic.mime, 2921: Warning description `Clarion Personal/Professional Developer (v2 and above) memo dat' truncated
/etc/magic.mime, 2927: Warning description `Clarion Personal/Professional Developer (v2 and above) help dat' truncated
ISO 9660 CD-ROM filesystem data UDF filesystem data (unknown version, id 'NSR01') 'Kubuntu 8.04.1 i386 ' (bootable)
--
hm, something wrong with my system? or are those 3 errorlines irrelevant? they also appear, when i use uck when selecting the iso.

2008/9/20 Malvin <email address hidden>:
> --
> illuminatus@thinkbox:~$ file --brief --mime /media/data/cdz/linux/kubuntu-8.04.1-desktop-i386.iso
> /etc/magic.mime, 2910: Warning description `Clarion Personal/Professional Developer (v2 and above) data fil' truncated
> /etc/magic.mime, 2921: Warning description `Clarion Personal/Professional Developer (v2 and above) memo dat' truncated
> /etc/magic.mime, 2927: Warning description `Clarion Personal/Professional Developer (v2 and above) help dat' truncated
> ISO 9660 CD-ROM filesystem data UDF filesystem data (unknown version, id 'NSR01') 'Kubuntu 8.04.1 i386 ' (bootable)

> hm, something wrong with my system? or are those 3 errorlines irrelevant? they also appear, when i use uck when selecting the iso.
>

It seems your MIME type database is broken. Please check your installation.

Malvin (malvin) wrote :

i thought that too, but it seems to be the original magic.mime yausing this errors:
--
illuminatus@thinkbox:~$ ls -al /etc/magic.mime
lrwxrwxrwx 1 root root 21 2008-06-15 01:01 /etc/magic.mime -> /usr/share/file/magic
illuminatus@thinkbox:~$ ls -al /usr/share/file/magic
-rw-r--r-- 1 root root 485185 2008-06-10 07:39 /usr/share/file/magic
illuminatus@thinkbox:~$ md5sum /usr/share/file/magic
0554b0047b42fb2098ef00a6abf36500 /usr/share/file/magic
illuminatus@thinkbox:~$ dpkg -S /usr/share/file/magic
libmagic1: /usr/share/file/magic
illuminatus@thinkbox:~$ sudo apt-get install --reinstall libmagic1
Paketlisten werden gelesen... Fertig
Abhängigkeitsbaum wird aufgebaut
Reading state information... Fertig
0 aktualisiert, 0 neu installiert, 1 erneut installiert, 0 zu entfernen und 0 nicht aktualisiert.
Es müssen noch 0B von 333kB Archiven geholt werden.
After this operation, 0B of additional disk space will be used.
Möchten Sie fortfahren [J/n]? j
(Lese Datenbank ... 278979 Dateien und Verzeichnisse sind derzeit installiert.)
Vorbereiten zum Ersetzen von libmagic1 4.21-3ubuntu1 (durch .../libmagic1_4.21-3ubuntu1_i386.deb) ...
Entpacke Ersatz für libmagic1 ...
Richte libmagic1 ein (4.21-3ubuntu1) ...

Processing triggers for libc6 ...
ldconfig deferred processing now taking place
illuminatus@thinkbox:~$ md5sum /usr/share/file/magic
0554b0047b42fb2098ef00a6abf36500 /usr/share/file/magic
illuminatus@thinkbox:~$ file --brief --mime /media/data/cdz/linux/kubuntu-8.04.1-desktop-i386.iso
/etc/magic.mime, 2910: Warning description `Clarion Personal/Professional Developer (v2 and above) data fil' truncated
/etc/magic.mime, 2921: Warning description `Clarion Personal/Professional Developer (v2 and above) memo dat' truncated
/etc/magic.mime, 2927: Warning description `Clarion Personal/Professional Developer (v2 and above) help dat' truncated
ISO 9660 CD-ROM filesystem data UDF filesystem data (unknown version, id 'NSR01') 'Kubuntu 8.04.1 i386 ' (bootable)
illuminatus@thinkbox:~$
--

when i edit the magic.mime file and comment out the mentioned lines, the errors vanish but the last line keeps the same:
illuminatus@thinkbox:~$ file --brief --mime /media/data/cdz/linux/kubuntu-8.04.1-desktop-i386.iso
ISO 9660 CD-ROM filesystem data UDF filesystem data (unknown version, id 'NSR01') 'Kubuntu 8.04.1 i386 ' (bootable)
illuminatus@thinkbox:~$ file --brief --mime /media/data/cdz/linux/kubuntu-8.04.1-desktop-i386.iso
/etc/magic.mime, 2910: Warning description `Clarion Personal/Professional Developer (v2 and above) data fil' truncated
/etc/magic.mime, 2921: Warning description `Clarion Personal/Professional Developer (v2 and above) memo dat' truncated
/etc/magic.mime, 2927: Warning description `Clarion Personal/Professional Developer (v2 and above) help dat' truncated
ISO 9660 CD-ROM filesystem data UDF filesystem data (unknown version, id 'NSR01') 'Kubuntu 8.04.1 i386 ' (bootable)
--

the error message in uck still stays the same.

any other way to help you?

So it seems file utility has been changed and it is broken.
You can just comment out the lines with the check and you should be
fine. Just search for file --brief --mime in the source.

Andrey Zhekov (x3ro.daemon) wrote :

It's strange...I've downloaded Kubuntu Intrepid KDE4 beta and today I downloaded uck from svn. All works fine

Changed in uck:
status: Fix Committed → Fix Released
spitfire (mieszkoslusarczyk) wrote :

It still happens for me. Tried uck 2.0.9, and svn with Kubuntu and Ubuntu Jaunty. Both i386 and amd64.

Changed in uck:
status: Fix Released → New
Felix Zweig (f.zweig) wrote :

This also happens on Karmic Beta using uck-2.0.9 and the Ubuntu Karmic Beta iso (x86).

Fabio Alessandro Locati (f4l3) wrote :

Fixable with the attached workaround

@Fabio: I cannot see any difference in uck-gui source code after applying your patch

Fabio Alessandro Locati (f4l3) wrote :

@ Fabrizio: actually it does comment the check

ops you're right :-\

Changed in uck (Ubuntu):
status: New → Triaged
Changed in uck (Ubuntu):
importance: Undecided → High

can someone please post the ouput of "file --brief --mime isoimage.iso"?
thank you

Samiux (runnersam) wrote :

Fabrizio,

The output of the "file --brief --mime ubuntu-9.10-beta-desktop-i386.iso" is as the following :

application/octet-stream; charset=binary

Samiux

but that's wrong cause it should be:

------------
file --brief --mime ubuntu-9.10-beta-desktop-i386.iso
application/x-iso9660-image
------------

does that iso boot?

Samiux (runnersam) wrote :

Fabrizio,

I have make change to the uck-gui for ISO check as "application/octet-stream". It can pass the check. However, it cannot make the customized ISO and please find the attached "build.log" for reference.

By the way, as at 2.0.9 on 9.04, the tmp directory cannot be deleted after the built. It displayed the following error message. This also happened at 9.10 beta.

sudo rm -R tmp

rm: cannot remove directory `tmp/remaster-root/tmp/.X11-unix': device or system resources busy

Samiux

Samiux (runnersam) wrote :

Fabrizio,

Although it is "application/octet-stream" instead of "application/x-iso9660-image", it boot flawless on my VirtualBox.

Samiux

Yes, it does

---
Fabio Alessandro Locati aka Fale
-----Messag. originale-----
Da: Fabrizio Balliano
Inviato: 06/10/2009 12:18:10
Oggetto: [Bug 271677] Re: Message "does not seem to be a valid ISO9660 image" on Intrepid

but that's wrong cause it should be:

------------
file --brief --mime ubuntu-9.10-beta-desktop-i386.iso
application/x-iso9660-image
------------

does that iso boot?

--
Message "does not seem to be a valid ISO9660 image" on Intrepid
https://bugs.launchpad.net/bugs/271677
You received this bug notification because you are a direct subscriber
of the bug.

anyway that "file" output is still wrong and that's not our fault, i'll try to tell "does not seem to be a valid ISO, do you want to continue" i think it's a download problem, did you do an md5sum on that iso?

@Samiux: that's another bug introduced in karmic, are you using karmic?

Samiux (runnersam) wrote :

Fabrizio,

I have double check with the md5sum with the official website. They are matched.

I am running 9.10 beta on VirtualBox and try to build a customized 9.10 beta ISO. However, it cannot be built.

Samiux

Samiux (runnersam) wrote :

Fabrizio,

Maybe I express not very well. Let me try again.

I am running Ubuntu 9.10 beta on VirtualBox as guest. The host OS is Ubuntu 9.04.

I tried to build a customized Ubuntu 9.10 beta on the guest but failed.

Samiux

 if [ "`file --brief --mime \"$ISO_IMAGE\" | grep \"application/x-iso9660\" | wc -l`" = "0" ] ; then
  dialog_question "Not an ISO image" "File $ISO_IMAGE does not seem to be a valid ISO9660 image, do you want to continue with this file?"
  if [ $? -ne 0 ] ; then
   continue
  fi
 fi

Changed in uck:
assignee: Krzysztof Lichota (krzysiek-launchpad-ubuntu-com) → Fabrizio Balliano (fabrizio-balliano)
status: New → Fix Committed
Fabrice Coutadeur (fabricesp) wrote :

Hi,

Is the debdiff still applicable? As it seems that in your last comment, the content is different.

Thanks,
Fabrice

Changed in uck (Ubuntu):
status: Triaged → Incomplete

hi, the debdiff should NOT be used

Alessio Treglia (quadrispro) wrote :

Fabrice, we're already working on this :)

Assigning to myself.

Changed in uck (Ubuntu):
assignee: nobody → Alessio Treglia (quadrispro)
status: Incomplete → Triaged
importance: High → Medium
Fabrice Coutadeur (fabricesp) wrote :

Unsubscribing u-u-s then :-)

Thanks,
Fabrice

Francisco Athens (freelikegnu) wrote :

in karmic nautilus the karmic beta cd is identified as 'application/x-cd-image' that uck will not recognize, but is indeed a valid iso that can be unpack.
also 'file --brief --mime' that /usr/bin/uck-gui uses responds:
application/octet-stream; charset=binary

Pascal de Bruijn (pmjdebruijn) wrote :

I have this issue (or a very similar issue) on Karmic as well:

$ file --brief --mime ubuntu-9-10-rc-desktop-amd64.iso
application/octet-stream; charset=binary

$ file ubuntu-9-10-rc-desktop-amd64.iso
ubuntu-9-10-rc-desktop-amd64.iso: ISO 9660 CD-ROM filesystem data 'Ubuntu 9.10 amd64 ' (bootable)

Changed in uck:
status: Fix Committed → Fix Released
Oriol (oriol-rossich) wrote :

Excuse but, where is the fix to download UCK fixed and working, I have Ubuntu Karmic installed and always appear the same error message, with Ubuntu Jaunty and Karmic ISOs, it doesn't work.
Thanks and sorry for the inconvenience.

mamamel (jmanuelonline) wrote :

"status: Fix Committed → Fix Released", and where the heck is that fix?

Same problem appearing on UCK running on my newly installed Ubuntu 9.10 (32-bits) installation. I downloaded multiple .ISOs...but error message keeps appearing, and I know they are good ISO files since I created installation media from them and tested on multiple PCs to run the full installation

I also un-installed my Synaptic Package Manager version of UCK and downloaded Debian file from UCK's website....but same error appears on whatever ISO image I try to use on. This is obviously the new version of Ubuntu breaking up functionality of UCK....as it was working just fine on Ubuntu 9.04

Any help, anybody???????????

Hye, just to confirm the last post

I'm running Ubuntu 9.10 and couldn't open any of the 9.10 desktop Official .iso .

Thank you and good luck for the fix.

timur (ba.timur) wrote :

There is Development snapshot in Download section, it is fixed in SVN as 2.0.10.
But, there is no explanation on how to use it.

timur (ba.timur) wrote :

When I try to run it, I receive: "ERROR: you've to update version number in all man pages".
Verison number in VERSION is 2.0.10., and version in debian/changelog is 2.0.9.
Can you make a .deb version please?

Oriol (oriol-rossich) wrote :

I've changed version from all the man pages and when building appears the same error message :S
Maybe I should try to comment the part of build.sh where it checks it?

andreidupond (andredupond) wrote :

I had this bug on karmic, it is fixed by commenting the 4 iso checking lines in /usr/bin/uck-gui.
So i reached 3 step after that. but now it says : $> sudo: no tty present and no askpass program specified
So i will search how to fix in others threads :)
thanks for the patch :)

Changed in uck (Ubuntu):
status: Triaged → In Progress
Changed in uck (Ubuntu):
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package uck - 2.0.10-0ubuntu1

---------------
uck (2.0.10-0ubuntu1) lucid; urgency=low

  * New upstream release, also fixes LP: #271677.
  * debian/{compat,control,rules}: Switch to debhelper 7.
  * debian/{control,rules,README.source}:
    - Add support for the quilt patch system.
  * debian/control:
    - Bump Standards.
    - Add ${misc:Depends} to Depends field.
    - Bump debhelper build-dependency.
  * debian/{examples,uck.install}:
    - Install examples with dh_installexamples.
  * Provide the package with a XPM icon.
  * Add doc-base support.
  * debian/menu: Add icon field.
  * debian/copyright: Adopt Debian DEP-5 spec.
  * debian/patches/01-fix_manpage.patch:
    - Fix upstream's manpage to make lintian happy.
 -- Alessio Treglia <email address hidden> Sun, 08 Nov 2009 01:48:25 +0100

Changed in uck (Ubuntu):
status: Fix Committed → Fix Released
Raybuntu (raybuntu) wrote :

I'm still doesn't see any fixes for this problem.

 if [ "`file --brief --mime \"$ISO_IMAGE\" | grep \"application/x-iso9660\" | wc -l`" = "0" ] ; then
  dialog_msgbox "Not an ISO image" "File $ISO_IMAGE does not seem to be a valid ISO9660 image"
  continue
 fi

But the Iso's on my system appears as:

file --brief --mime ubuntu-9.10-desktop-i386.iso
application/octet-stream; charset=binary

Checksum of the iso is correct! But also my old hardy iso's are shown as "application/octet-stream; charset=binary"! Maybe it's an bug in "file"!?

Changed in uck:
status: Fix Released → New
Changed in uck (Ubuntu):
status: Fix Released → New
Raybuntu (raybuntu) wrote :

Upss my mistake. Just backported uck from lucid! t works!

Changed in uck:
status: New → Fix Released
Changed in uck (Ubuntu):
status: New → Fix Released
Ruben (ruben-tregeagle) wrote :

Thanks for all your hard work but...
I getting the same result:

 File /ubuntu-9.10-desktop-i386.iso does not seem to be a valid ISO9660 image

 $ file --brief --mime ubuntu-9.10-desktop-i386.iso
 application/octet-stream; charset=binary

I am running a fresh install of Karmic which was installed from the same ISO file.

I ran:
svn export https://uck.svn.sourceforge.net/svnroot/uck/trunk/uck
and tried again, same result.

Max Maier (regnor) wrote :

I've got the same problem with the ubuntu-9.10-desktop-i386.iso

batsher (batsher) wrote :

Just tried 2.0.13 from svn export https://uck.svn.sourceforge.net/svnroot/uck/trunk/uck on Karmic 9.10 with ubuntu-9.10-desktop-i386.iso and it works !

geleibo (geleibo) wrote :

 does not seem to be a valid ISO9660 image

Alessio Treglia (quadrispro) wrote :

Is this still reproducible on Lucid?

batsher (batsher) wrote :

There's version 2.0.12 in lucid at the moment, i can't reproduce the problem with that one either.

cayk (cayk) on 2010-04-20
Changed in uck:
status: Fix Released → Incomplete
Changed in uck:
status: Incomplete → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Related questions